## kde-baseapps 4.9.5

=== dolphin/src/CMakeLists.txt ===
macro_optional_find_package(Nepomuk)
macro_log_feature(Nepomuk_FOUND "Nepomuk" "Nepomuk" "http://www.kde.org" FALSE "" "For adding desktop-wide tagging support to dolphin")
macro_bool_to_01(Nepomuk_FOUND HAVE_NEPOMUK)
configure_file(config-nepomuk.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-nepomuk.h )

macro_bool_to_01(X11_Xrender_FOUND HAVE_XRENDER)
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h )

include_directories( ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

if (Nepomuk_FOUND)
  # Yes, Soprano includes is what we need here
  include_directories( ${SOPRANO_INCLUDE_DIR} ${NEPOMUK_INCLUDE_DIR} )
endif (Nepomuk_FOUND)

add_subdirectory(tests)

########### next target ###############

set(dolphinprivate_LIB_SRCS
    kitemviews/kfileitemlistview.cpp
    kitemviews/kfileitemlistwidget.cpp
    kitemviews/kfileitemmodel.cpp
    kitemviews/kfileitemmodelrolesupdater.cpp
    kitemviews/kitemlistcontainer.cpp
    kitemviews/kitemlistcontroller.cpp
    kitemviews/kitemlistgroupheader.cpp
    kitemviews/kitemlistheader.cpp
    kitemviews/kitemlistselectionmanager.cpp
    kitemviews/kitemliststyleoption.cpp
    kitemviews/kitemlistview.cpp
    kitemviews/kitemlistwidget.cpp
    kitemviews/kitemmodelbase.cpp
    kitemviews/kstandarditem.cpp
    kitemviews/kstandarditemlistgroupheader.cpp
    kitemviews/kstandarditemlistview.cpp
    kitemviews/kstandarditemlistwidget.cpp
    kitemviews/kstandarditemmodel.cpp
    kitemviews/private/kfileitemclipboard.cpp
    kitemviews/private/kfileitemmodeldirlister.cpp
    kitemviews/private/kfileitemmodelsortalgorithm.cpp
    kitemviews/private/kfileitemmodelfilter.cpp
    kitemviews/private/kitemlistheaderwidget.cpp
    kitemviews/private/kitemlistkeyboardsearchmanager.cpp
    kitemviews/private/kitemlistroleeditor.cpp
    kitemviews/private/kitemlistrubberband.cpp
    kitemviews/private/kitemlistselectiontoggle.cpp
    kitemviews/private/kitemlistsizehintresolver.cpp
    kitemviews/private/kitemlistsmoothscroller.cpp
    kitemviews/private/kitemlistviewanimation.cpp
    kitemviews/private/kitemlistviewlayouter.cpp
    kitemviews/private/kpixmapmodifier.cpp
    settings/additionalinfodialog.cpp
    settings/applyviewpropsjob.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewpropertiesdialog.cpp
    settings/viewpropsprogressinfo.cpp
    views/dolphinfileitemlistwidget.cpp
    views/dolphinitemlistview.cpp
    views/dolphinnewfilemenuobserver.cpp
    views/dolphinremoteencoding.cpp
    views/dolphinview.cpp
    views/dolphinviewactionhandler.cpp
    views/draganddrophelper.cpp
    views/renamedialog.cpp
    views/tooltips/filemetadatatooltip.cpp
    views/tooltips/tooltipmanager.cpp
    views/versioncontrol/updateitemstatesthread.cpp
    views/versioncontrol/versioncontrolobserver.cpp
    views/viewmodecontroller.cpp
    views/viewproperties.cpp
    views/zoomlevelinfo.cpp
)

if (Nepomuk_FOUND)
    set(dolphinprivate_LIB_SRCS
        ${dolphinprivate_LIB_SRCS}
        kitemviews/private/knepomukrolesprovider.cpp
        kitemviews/private/nepomuk/resourcewatcher.cpp
    )

    qt4_add_dbus_interface(dolphinprivate_LIB_SRCS
                           kitemviews/private/nepomuk/org.kde.nepomuk.ResourceWatcherConnection.xml
                           resourcewatcherconnectioninterface)

    qt4_add_dbus_interface(dolphinprivate_LIB_SRCS
                           kitemviews/private/nepomuk/org.kde.nepomuk.ResourceWatcher.xml
                           resourcewatchermanagerinterface)
endif (Nepomuk_FOUND)

kde4_add_kcfg_files(dolphinprivate_LIB_SRCS
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

kde4_add_library(dolphinprivate SHARED ${dolphinprivate_LIB_SRCS})

target_link_libraries(
    dolphinprivate
    ${KDE4_KFILE_LIBS}
    konq
    ${KDE4_KNEWSTUFF3_LIBS}
)

if (Nepomuk_FOUND)
    target_link_libraries(
        dolphinprivate
        ${NEPOMUK_LIBRARIES}
        ${NEPOMUK_QUERY_LIBRARIES}
        nepomukutils
        ${SOPRANO_LIBRARIES}
    )
endif (Nepomuk_FOUND)

if(X11_Xrender_FOUND)
    target_link_libraries(dolphinprivate ${X11_Xrender_LIB})
endif(X11_Xrender_FOUND)

target_link_libraries(dolphinprivate ${KDE4_PLASMA_LIBS})

set_target_properties(dolphinprivate PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS dolphinprivate  ${INSTALL_TARGETS_DEFAULT_ARGS})

##########################################

set(dolphinpart_SRCS
   dolphinpart.cpp
)

# Add dolphinpart_ext.cpp conditionally, only with KDE > 4.9.1.
if (${KDE_VERSION} VERSION_GREATER "4.9.1")
set(dolphinpart_SRCS
    ${dolphinpart_SRCS}
    dolphinpart_ext.cpp)
endif (${KDE_VERSION} VERSION_GREATER "4.9.1")

kde4_add_plugin(dolphinpart ${dolphinpart_SRCS})

target_link_libraries(dolphinpart dolphinprivate konq ${KDE4_KPARTS_LIBS} ${KDE4_KFILE_LIBS})

install(TARGETS dolphinpart DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES dolphinpart.rc DESTINATION ${DATA_INSTALL_DIR}/dolphinpart)
install(FILES dolphinpart.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install(FILES views/versioncontrol/fileviewversioncontrolplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

##########################################

set(dolphin_SRCS
    dolphinapplication.cpp
    dolphindockwidget.cpp
    dolphinmainwindow.cpp
    dolphinnewfilemenu.cpp
    dolphinviewcontainer.cpp
    dolphincontextmenu.cpp
    filterbar/filterbar.cpp
    main.cpp
    panels/information/filemetadataconfigurationdialog.cpp
    panels/information/informationpanel.cpp
    panels/information/informationpanelcontent.cpp
    panels/information/pixmapviewer.cpp
    panels/information/phononwidget.cpp
    panels/places/placespanel.cpp
    panels/places/placesitem.cpp
    panels/places/placesitemeditdialog.cpp
    panels/places/placesitemlistgroupheader.cpp
    panels/places/placesitemlistwidget.cpp
    panels/places/placesitemmodel.cpp
    panels/places/placesitemsignalhandler.cpp
    panels/places/placesview.cpp
    panels/panel.cpp
    panels/folders/foldersitemlistwidget.cpp
    panels/folders/treeviewcontextmenu.cpp
    panels/folders/folderspanel.cpp
    search/dolphinfacetswidget.cpp
    search/dolphinsearchbox.cpp
    search/dolphinsearchinformation.cpp
    settings/general/behaviorsettingspage.cpp
    settings/general/configurepreviewplugindialog.cpp
    settings/general/confirmationssettingspage.cpp
    settings/general/generalsettingspage.cpp
    settings/general/previewssettingspage.cpp
    settings/general/statusbarsettingspage.cpp
    settings/dolphinsettingsdialog.cpp
    settings/navigation/navigationsettingspage.cpp
    settings/services/servicessettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp
    settings/startup/startupsettingspage.cpp
    settings/trash/trashsettingspage.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewsettingspage.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    statusbar/dolphinstatusbar.cpp
    statusbar/statusbarspaceinfo.cpp
    views/zoomlevelinfo.cpp
)

kde4_add_kcfg_files(dolphin_SRCS
    panels/folders/dolphin_folderspanelsettings.kcfgc
    panels/information/dolphin_informationpanelsettings.kcfgc
    panels/places/dolphin_placespanelsettings.kcfgc
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    search/dolphin_searchsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

if(NOT WIN32)
   set(dolphin_SRCS ${dolphin_SRCS} panels/terminal/terminalpanel.cpp)
endif(NOT WIN32)

kde4_add_app_icon(dolphin_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/system-file-manager.png")

kde4_add_kdeinit_executable(dolphin ${dolphin_SRCS})

target_link_libraries(kdeinit_dolphin
    ${KDE4_KDEPRINT_LIBS}
    ${KDE4_KFILE_LIBS}
    ${KDE4_KPARTS_LIBS}
    ${KDE4_KCMUTILS_LIBRARY}
    konq
    dolphinprivate
    knewstuff3
    ${KDE4_SOLID_LIBS}
    ${KDE4_PHONON_LIBS}
)

if (Nepomuk_FOUND)
    target_link_libraries(kdeinit_dolphin
        ${NEPOMUK_LIBRARIES}
        ${SOPRANO_LIBRARIES}
        ${NEPOMUK_QUERY_LIBRARIES}
        nepomukutils
    )
endif (Nepomuk_FOUND)

install(TARGETS kdeinit_dolphin ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS dolphin ${INSTALL_TARGETS_DEFAULT_ARGS})

##########################################

set(kcm_dolphinviewmodes_PART_SRCS
    settings/kcm/kcmdolphinviewmodes.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    views/zoomlevelinfo.cpp)

set(kcm_dolphinnavigation_PART_SRCS
    settings/kcm/kcmdolphinnavigation.cpp
    settings/navigation/navigationsettingspage.cpp
    settings/settingspagebase.cpp)

set(kcm_dolphinservices_PART_SRCS
    settings/kcm/kcmdolphinservices.cpp
    settings/services/servicessettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp)

set(kcm_dolphingeneral_PART_SRCS
    settings/kcm/kcmdolphingeneral.cpp
    settings/general/behaviorsettingspage.cpp
    settings/general/previewssettingspage.cpp
    settings/general/configurepreviewplugindialog.cpp
    settings/general/confirmationssettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp)

kde4_add_kcfg_files(kcm_dolphinviewmodes_PART_SRCS
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

kde4_add_kcfg_files(kcm_dolphinnavigation_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

kde4_add_kcfg_files(kcm_dolphinservices_PART_SRCS
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc)

kde4_add_kcfg_files(kcm_dolphingeneral_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

kde4_add_plugin(kcm_dolphinviewmodes ${kcm_dolphinviewmodes_PART_SRCS})
kde4_add_plugin(kcm_dolphinnavigation ${kcm_dolphinnavigation_PART_SRCS})
kde4_add_plugin(kcm_dolphinservices ${kcm_dolphinservices_PART_SRCS})
kde4_add_plugin(kcm_dolphingeneral ${kcm_dolphingeneral_PART_SRCS})

target_link_libraries(kcm_dolphinviewmodes  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} dolphinprivate)
target_link_libraries(kcm_dolphinnavigation  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} dolphinprivate)
target_link_libraries(kcm_dolphinservices  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KNEWSTUFF3_LIBRARY} dolphinprivate)
target_link_libraries(kcm_dolphingeneral ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} dolphinprivate)
if (Nepomuk_FOUND)
  target_link_libraries(kcm_dolphinviewmodes ${NEPOMUK_LIBRARIES})
  target_link_libraries(kcm_dolphinnavigation ${NEPOMUK_LIBRARIES})
  target_link_libraries(kcm_dolphinservices ${NEPOMUK_LIBRARIES})
  target_link_libraries(kcm_dolphingeneral ${NEPOMUK_LIBRARIES})
endif (Nepomuk_FOUND)

install(TARGETS kcm_dolphinviewmodes DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphinnavigation DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphinservices DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphingeneral DESTINATION ${PLUGIN_INSTALL_DIR} )

#########################################

set(kio_search_PART_SRCS
    search/filenamesearchprotocol.cpp)
kde4_add_plugin(kio_filenamesearch ${kio_search_PART_SRCS})
target_link_libraries(kio_filenamesearch ${KDE4_KIO_LIBS})
install(TARGETS kio_filenamesearch DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
kde-baseapps (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)
    - drop 0001-Added-curly-brackets-around-DolphinApplication-creat.patch,
      0002-Fix-incorrect-usage-of-list-iterators.patch and
      0003-Fix-keyboard-focus-handling-after-renaming-items-inl.patch,
      applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:22:47 +0100

=== debian/control ===
Source: kde-baseapps
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
 Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
Build-Depends: 
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libdlrestrictions-dev (>= 0.14),
 kdelibs5-dev (>= 4:4.9.5), libphonon-dev (>= 4:4.3.0),
 libqimageblitz-dev (>= 1:0.0.4-2), libxkbfile-dev,
 libstreamanalyzer-dev (>= 0.6.3),
 libxrender-dev, zlib1g-dev,
 libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies (>= 0.8),
 libtidy-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-baseapps.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-baseapps.git

Package: kde-baseapps
Architecture: all
Depends: ${misc:Depends},
 dolphin (>= ${source:Version}),
 kde-baseapps-bin (>= ${source:Version}),
 kdepasswd (>= ${source:Version}),
 kfind (>= ${source:Version}), 
 konqueror (>= ${source:Version}),
 konsole, 
 kwrite,
 plasma-widget-folderview (>= ${source:Version})
Recommends: konqueror-nsplugins (>= ${source:Version})
Breaks: kdebase-apps (<< 4:4.7.2)
Replaces: kdebase-apps (<< 4:4.7.2)
Description: base applications from the official KDE release (meta-package)
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides core applications for the KDE 4 desktop.

Package: kdebase-apps
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-baseapps, ${misc:Depends}
Description: Transitional package for kde-baseapps
 This transitional package takes care of pulling in the new kde-baseapps
 package and can safely be removed after installation.

Package: dolphin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdesdk-dolphin-plugins, kfind, ruby, konsole, kompare
Description: file manager 
 Dolphin is the default file manager in the KDE Plasma Workspaces, intended
 to be both powerful and easy to use.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags
 .
 This package is part of the KDE base applications module.

Package: kde-baseapps-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version})
Breaks: kdesktop, kcontrol, kdebase-bin (<< 4:4.7.2)
Replaces: kdebase-bin (<< 4:4.7.2)
Description: core binaries for the KDE base applications
 This package contains miscellaneous programs needed by other KDE
 applications, particularly those in the KDE base module.
 .
 This package is part of the KDE base applications module.

Package: kdebase-bin
Architecture: all
Depends: ${misc:Depends}, kde-baseapps-bin
Description: Transitional package for new kde-baseapps
 This transitional package can be safely removed after installation.

Package: kde-baseapps-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kdebase-data (<< 4:4.7.2), dolphin (<< 4:4.6.80), konqueror (<< 4:4.6.80)
Replaces: kdebase-data (<< 4:4.7.2), dolphin (<< 4:4.6.80), konqueror (<< 4:4.6.80)
Description: shared data files for the KDE base applications
 This package contains the architecture-independent shared data files needed
 for a basic KDE 4 desktop installation.
 .
 This package is part of the KDE 4 base applications module.

Package: kdepasswd
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version})
Description: graphical password changing utility
 kdepasswd allows users to change their password, user icon, and other
 information.  A variety of user icons are included.
 .
 This package is part of the KDE base applications module.

Package: kfind
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: file search utility 
 KFind can be used to find files and directories on your system.
 .
 This package is part of the KDE base applications module.

Package: konqueror
Section: web
Architecture: any
Provides: info-browser, man-browser, www-browser
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version}),
 kde-baseapps-bin (= ${binary:Version}), install-info
Suggests: konq-plugins (>= 4:4.1~)
Recommends: konqueror-nsplugins (= ${binary:Version}), dolphin, kfind
Description: advanced file manager, web browser and document viewer
 Konqueror is the KDE web browser and advanced file manager.
 .
 Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
 JavaScript, CSS3, and Netscape plugins such as Flash.
 .
 It supports advanced file management on local UNIX filesystems, with flexible
 views, network transparency, and embedded file viewing.
 .
 It is the canvas for many KDE technologies, from remote file access via KIO to
 component embedding via the KParts object interface, making it one of the most
 customizable applications available.
 .
 This package is part of the KDE base applications module.

Package: konqueror-nsplugins
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: gtk-qt-engine (<< 1:1.0)
Description: Netscape plugin support for Konqueror
 Konqueror is the KDE web browser and advanced file manager.
 .
 This package provides a KDE component for enabling the use of
 Netscape/Mozilla/etc browser plugins (such as Adobe Flash) within Konqueror.
 .
 This package is part of the KDE base applications module.

Package: konq-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, konqueror (>= 4:4.9.2),
 python, libjpeg-progs
Breaks: kde-baseapps-data (<< 4:4.8.80)
Replaces: konqueror-plugin-adblock (<< 4:4.4.0-2ubuntu1),
          konqueror-plugin-akregator (<< 4:4.4.0-2ubuntu1),
          konqueror-plugin-autorefresh (<< 4:4.4.0-2ubuntu1),
          konqueror-plugin-babelfish (<< 4:4.4.0-2ubuntu1),
          konqueror-plugin-crashes (<< 4:4.4.0),
          konqueror-plugin-dirfilter (<< 4:4.4.0-2ubuntu1),
          konqueror-plugin-domtreeviewer (<< 4:4.4.0-2ubuntu1),
          konqueror-plugin-fsview (<< 4:4.4.0-2ubuntu1),
          konqueror-plugin-imagerotation (<< 4:4.4.0-2ubuntu1),
          konqueror-plugin-khtmlsettings (<< 4:4.4.0-2ubuntu1),
          konqueror-plugin-kimgallery (<< 4:4.4.0-2ubuntu1),
          konqueror-plugin-minitools (<< 4:4.4.0-2ubuntu1),
          konqueror-plugin-rellinks (<< 4:4.4.0-2ubuntu1),
          konqueror-plugin-searchbar (<< 4:4.6.1-1ubuntu1),
          konqueror-plugin-uachanger (<< 4:4.4.0-2ubuntu1),
          konqueror-plugin-validators (<< 4:4.4.0-2ubuntu1),
          konqueror-plugin-webarchiver (<< 4:4.4.0-2ubuntu1),
          kde-baseapps-data (<< 4:4.8.80)
Enhances: konqueror
Recommends: imagemagick
Description: plugins for Konqueror, the KDE file/web/document browser
 This package contains a variety of useful plugins for Konqueror, the
 file manager, web browser and document viewer for KDE.  Many of these
 plugins will appear in Konqueror's Tools menu.
 .
 Web navigation plugins:
  - Akregator feed icon: allows one to add a feed to Akregator from Konqueror
  - Auto Refresh: refresh a webpage at a given rate
  - Bookmarklets: enables the use of bookmarklets, bookmarks containing
    JavaScript code
  - Document Relations: displays the document relations of a document
  - DOM Tree Viewer: view the DOM tree of the current page
  - KHTML Settings: fast way to change the JavaScript/images/cookies settings
  - Microformat Icon: displays an icon in the statusbar if the page contains
    a microformat
  - Search Bar: launches web searches from the Konqueror's toolbar
  - Translate: language translation for the current page using Babelfish
  - UserAgent Changer: quick switch of the UserAgent used for the current site
  - Website Validators: CSS and HTML validation tools
  - Web Archiver: creates archives of websites
  - Crash manager: restores your opened tabs if Konqueror crashes (disabled
    by default as Konqueror has this feature builtin)
 .
 File management plugins:
  - Image Gallery: an easy way to generate a HTML image gallery
  - File Size View (kpart): a proportional view of directories and files
    based on file size
  - Transform Image (service menu): rotate and flip images
  - Convert To (service menu): convert and image to another format
  - Directory Filter (dolphin): filter directory views
 .
 This package is part of the KDE base applications module.

#Package: konsole
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Provides: x-terminal-emulator
#Breaks: yakuake (<< 2.9.0)
#Description: X terminal emulator
# Konsole is a terminal emulator built on the KDE Platform. It can contain
# multiple terminal sessions inside one window using detachable tabs.
# .
# Konsole supports powerful terminal features, such as customizable schemes,
# saved sessions, and output monitoring.
# .
# This package is part of the KDE base applications module.

#Package: kwrite
#Section: editors
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: simple graphical text editor
# KWrite is a simple text editor built on the KDE Platform. It uses the Kate
# editor component, so it supports powerful features such as flexible syntax
# highlighting, automatic indentation, and numerous other text tools.
# .
# This package is part of the KDE base applications module.

Package: libkonq5abi1
Section: libs
Architecture: any
X-Debian-ABI: 1
Depends: ${shlibs:Depends}, ${misc:Depends}, libkonq-common (>= ${binary:Version})
Description: core libraries for Konqueror
 This package contains libraries used by several KDE 4 applications,
 particularly Konqueror.
 .
 This package is part of the KDE base applications module.

Package: libkonq-common
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkonq5-templates
Replaces: libkonq5 (<< 4:4.4.5-3), libkonq5a
Breaks: libkonq5 (<< 4:4.4.5-3), libkonq5a
Description: core Konqueror library - support files
 This package contains plugins and data files used by the core Konqueror
 library (libkonq).
 .
 This package is part of the KDE base applications module.

Package: libkonq5-templates
Section: libs
Architecture: all
Replaces: kdesktop
Breaks: kdesktop
Depends: ${misc:Depends}
Description: data files for the Konqueror libraries
 This package contains data files used by the Konqueror libraries.
 These files are also provided by the 'kdesktop' package from KDE 3.
 .
 This package is part of the KDE base applications module.

Package: libkonq5-dev
Section: libdevel
Architecture: any
Depends: libkonq5abi1 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libkonq5abi1}, ${misc:Depends}
Description: development files for the Konqueror libraries
 This package contains development files for building software that uses the
 Konqueror libraries.
 .
 This package is part of the KDE base applications module.

Package: libkonqsidebarplugin4a
Section: libs
Architecture: any
X-Debian-ABI: 0
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libkonqsidebarplugin4
Breaks: libkonqsidebarplugin4

## kde-baseapps 4.10.0

=== debian/changelog ===
kde-baseapps (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:35:18 +0000

kde-baseapps (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:03:07 +0000

kde-baseapps (4:4.9.97-0ubuntu1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate

  [ Jonathan Riddell ]
  * Add build-dep on libnepomukwidgets-dev

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:27:33 +0100

kde-baseapps (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Michal Zajac ]
  * Fixed install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:20:34 +0000

kde-baseapps (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:42:49 +0000

kde-baseapps (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release
  * Remove kubuntu_fix_systemsettings_about_me.diff fixed upstream

  [ Scott Kitterman ]
  * Add pkg-config, libkactivities-dev and nepomuk-core-dev to build-depends
  * Adjust debian/libkonq5abi1.install to only fail to match on soname changes
    and not soversion changes

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Nov 2012 14:33:18 -0500

kde-baseapps (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:25:13 +0100

kde-baseapps (4:4.8.3-0r1) raring; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Update installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3. No further changes.
  * Remove obsolete libkonq5a breaks/replaces.
  * Update symbols files.

 -- Eshat Cakar <info@eshat.de>  Thu, 08 Mar 2012 18:30:33 +0100

kde-baseapps (4:4.7.2-0r2) raring; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump kdelibs5-dev build dependency to version 4:4.7.
  * Rename source package from kdebase to kdebase-apps in order to match
    upstream naming.
  * Rename the following binary packages:
    - kde-baseapps -> kdebase-apps
    - kdebase-bin -> kde-baseapps-bin
    - kdebase-data -> kde-baseapps-data
    - kdebase-dbg -> kde-baseapps-dbg
  * Add the following dummy packages:
    - kdebase-apps
    - kdebase-apps-bin
    - kdebase-dbg
  * Update Vcs-* fields.
  * Konsole isn't shipped in kdebase source package anymore:
    - Disable debian-T-addition.diff (which only changes Konsole).
    - Comment out konsole binary package in debian/control.
  * Remove kwrite package, it was moved to source package kate.
  * Add konq-plugins package.
  * Add libtidy-dev build depend.
  * Update installed files.
  * Update lintian overrides.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 26 Sep 2011 19:44:23 +0200

kdebase (4:4.5.1-0r2) raring; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.

  [ George Kiagiadakis ]
  * Change my email address in uploaders.
  * Remove the kinfocenter package (moved to kdebase-workspace).
  * Remove the kappfinder package (removed upstream).
  * Refresh patches.
  * Update installed files.
  * Remove unused build dependencies:
    - libsmbclient-dev
    - libusb-dev
    - libraw1394-dev
    - libglu1-mesa-dev
    - libpci-dev
    - libxext-dev
  * Rename libkonq5 to libkonq5a because BC was broken.
  * Update libkonq5a.symbols.
  * Fix some lintian warnings related to package descriptions.
  * Make dolphin suggest kdesdk-dolphin-plugins.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 01 Aug 2010 00:07:45 +0300

kdebase (4:4.2.2-0ubuntu5) raring; urgency=low

  * Added patch kubuntu_10_konq_scans_nsplugins_at_startup.diff:
    - Closes LP: #349728

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 17 Apr 2009 11:00:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libdlrestrictions-dev (>= 0.14),
- kdelibs5-dev (>= 4:4.9.5), libphonon-dev (>= 4:4.3.0),
+ pkg-config, kdelibs5-dev (>= 4:4.10.0), libphonon-dev (>= 4:4.3.0),
  libqimageblitz-dev (>= 1:0.0.4-2), libxkbfile-dev,
- libstreamanalyzer-dev (>= 0.6.3),
- libxrender-dev, zlib1g-dev,
+ libstreamanalyzer-dev (>= 0.6.3), libxrender-dev, zlib1g-dev,
+ nepomuk-core-dev (>= 4:4.10.0), libkactivities-dev (>= 4:4.10.0),
  libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies (>= 0.8),
- libtidy-dev
+ libtidy-dev, libnepomukwidgets-dev (>= 4:4.9.97)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
@@ -288,7 +288,3 @@
 Package: libkonqsidebarplugin4a
 Section: libs
 Architecture: any
-X-Debian-ABI: 0
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libkonqsidebarplugin4
-Breaks: libkonqsidebarplugin4

## kde-baseapps 4.10.2

=== debian/changelog ===
kde-baseapps (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:40:14 +0200

kde-baseapps (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Add new doc picture in dolphin.install 
  * Move kdebase-bin transitional package to oldlibs/extra to make lintian
    happy 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:24:08 +0000

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libdlrestrictions-dev (>= 0.14),
- pkg-config, kdelibs5-dev (>= 4:4.10.0), libphonon-dev (>= 4:4.3.0),
+ pkg-config, kdelibs5-dev (>= 4:4.10.2), libphonon-dev (>= 4:4.3.0),
  libqimageblitz-dev (>= 1:0.0.4-2), libxkbfile-dev,
  libstreamanalyzer-dev (>= 0.6.3), libxrender-dev, zlib1g-dev,
- nepomuk-core-dev (>= 4:4.10.0), libkactivities-dev (>= 4:4.10.0),
+ nepomuk-core-dev (>= 4:4.10.2), libkactivities-dev (>= 4:4.10.2),
  libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies (>= 0.8),
  libtidy-dev, libnepomukwidgets-dev (>= 4:4.9.97)
 Standards-Version: 3.9.3
@@ -76,6 +76,8 @@
 
 Package: kde-baseapps-bin
 Architecture: any
+Section: oldlibs
+Priority: extra
 Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version})
 Breaks: kdesktop, kcontrol, kdebase-bin (<< 4:4.7.2)
 Replaces: kdebase-bin (<< 4:4.7.2)
@@ -286,5 +288,3 @@
  This package is part of the KDE base applications module.
 
 Package: libkonqsidebarplugin4a
-Section: libs
-Architecture: any

## kde-baseapps 4.10.5

=== debian/changelog ===
kde-baseapps (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:38:33 +0200

kde-baseapps (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:23:18 +0200

kde-baseapps (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:05:29 +0200

kde-baseapps (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:40:14 +0200

kde-baseapps (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release
  * Add new doc picture in dolphin.install 
  * Move kdebase-bin transitional package to oldlibs/extra to make lintian
    happy 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:24:08 +0000

kde-baseapps (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:35:18 +0000

kde-baseapps (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:03:07 +0000

kde-baseapps (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate

  [ Jonathan Riddell ]
  * Add build-dep on libnepomukwidgets-dev

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:27:33 +0100

kde-baseapps (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Michal Zajac ]
  * Fixed install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:20:34 +0000

kde-baseapps (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:42:49 +0000

kde-baseapps (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release
  * Remove kubuntu_fix_systemsettings_about_me.diff fixed upstream

  [ Scott Kitterman ]
  * Add pkg-config, libkactivities-dev and nepomuk-core-dev to build-depends
  * Adjust debian/libkonq5abi1.install to only fail to match on soname changes
    and not soversion changes

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Nov 2012 14:33:18 -0500

kde-baseapps (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:25:13 +0100

kde-baseapps (4:4.8.3-0r1) raring-proposed; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Update installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3. No further changes.
  * Remove obsolete libkonq5a breaks/replaces.
  * Update symbols files.

 -- Eshat Cakar <info@eshat.de>  Thu, 08 Mar 2012 18:30:33 +0100

kde-baseapps (4:4.7.2-0r2) raring-proposed; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump kdelibs5-dev build dependency to version 4:4.7.
  * Rename source package from kdebase to kdebase-apps in order to match
    upstream naming.
  * Rename the following binary packages:
    - kde-baseapps -> kdebase-apps
    - kdebase-bin -> kde-baseapps-bin
    - kdebase-data -> kde-baseapps-data
    - kdebase-dbg -> kde-baseapps-dbg
  * Add the following dummy packages:
    - kdebase-apps
    - kdebase-apps-bin
    - kdebase-dbg
  * Update Vcs-* fields.
  * Konsole isn't shipped in kdebase source package anymore:
    - Disable debian-T-addition.diff (which only changes Konsole).
    - Comment out konsole binary package in debian/control.
  * Remove kwrite package, it was moved to source package kate.
  * Add konq-plugins package.
  * Add libtidy-dev build depend.
  * Update installed files.
  * Update lintian overrides.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 26 Sep 2011 19:44:23 +0200

kdebase (4:4.6.1-0ubuntu1) natty; urgency=low

  [ Jonathan Riddell ]
  * New upstream release
  * Update kde-sc-dev-latest version

  [ Felix Geyer ]
  * Reduce the x-www-browser priority for konqueror to 30 as rekonq is the
    default Kubuntu browser.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Jan 2011 11:40:33 +0000

kdebase (4:4.5.1-0r2) raring-proposed; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.

  [ George Kiagiadakis ]
  * Change my email address in uploaders.
  * Remove the kinfocenter package (moved to kdebase-workspace).
  * Remove the kappfinder package (removed upstream).
  * Refresh patches.
  * Update installed files.
  * Remove unused build dependencies:
    - libsmbclient-dev
    - libusb-dev
    - libraw1394-dev
    - libglu1-mesa-dev
    - libpci-dev
    - libxext-dev
  * Rename libkonq5 to libkonq5a because BC was broken.
  * Update libkonq5a.symbols.
  * Fix some lintian warnings related to package descriptions.
  * Make dolphin suggest kdesdk-dolphin-plugins.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 01 Aug 2010 00:07:45 +0300

kdebase (4:4.2.2-0ubuntu5) raring-proposed; urgency=low

  * Added patch kubuntu_10_konq_scans_nsplugins_at_startup.diff:
    - Closes LP: #349728

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 17 Apr 2009 11:00:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libdlrestrictions-dev (>= 0.14),
- pkg-config, kdelibs5-dev (>= 4:4.10.2), libphonon-dev (>= 4:4.3.0),
+ pkg-config, kdelibs5-dev (>= 4:4.10.5), libphonon-dev (>= 4:4.3.0),
  libqimageblitz-dev (>= 1:0.0.4-2), libxkbfile-dev,
  libstreamanalyzer-dev (>= 0.6.3), libxrender-dev, zlib1g-dev,
- nepomuk-core-dev (>= 4:4.10.2), libkactivities-dev (>= 4:4.10.2),
+ nepomuk-core-dev (>= 4:4.10.5), libkactivities-dev (>= 4:4.10.5),
  libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies (>= 0.8),
  libtidy-dev, libnepomukwidgets-dev (>= 4:4.9.97)
 Standards-Version: 3.9.3

## kde-baseapps 4.11.2

=== debian/changelog ===
kde-baseapps (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:03:56 +0100

kde-baseapps (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:09:34 +0100

kde-baseapps (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:04:24 +0100

kde-baseapps (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:12:09 +0100

kde-baseapps (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release 
    - refresh enable_debianabimanager.diff and enable_dlrestrictions.diff
    - remove docbooks from konqueror.install there were removed upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 19 Jul 2013 12:32:06 +0000

kde-baseapps (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:03:40 +0100

kde-baseapps (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Refresh enable_debianabimanager.diff, enable_dlrestrictions.diff
    - Update install file
    - Update symbols

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:19:40 +0100

kde-baseapps (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:40:55 +0100

kde-baseapps (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
   - kde-baseapps-data replace/breaks old dolphin/konqueror
   - Make konqueror.postinst install with alternates score 30 not 100

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:08:50 +0000

kde-baseapps (4:4.10.2-1) experimental; urgency=low

  * New upstream release. 

  [ José Manuel Santamaría Lema ]
  * Update patches to make them apply without any offset.
  * Bump kde-sc-dev-latest build dependency to version 4:4.10.1.
  * Bump kdelibs5-dev build dependency to version 4:4.10.
  * Add libkactivities-dev, nepomuk-core-dev and libnepomukwidgets-dev to
    Build-Depends.
  * Update installed files.
  * Add lintian overrides for hardening-no-fortify-functions.

  [ Josep Febrer ]
  * Refresh patches:
    - enable_debianabimanager.diff.
    - enable_dlrestrictions.diff.
  * Update installed files.

  [ Sune Vuorela ]
  * Update uploaders
  * Update my email address

 -- Sune Vuorela <sune@debian.org>  Wed, 03 Apr 2013 18:55:57 +0000

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,28 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
- Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
-Build-Depends: 
+Uploaders: Sune Vuorela <sune@debian.org>,
+ Fathi Boudra <fabo@debian.org>,
+ Modestas Vainius <modax@debian.org>,
+ George Kiagiadakis <kiagiadakis.george@gmail.com>,
+ Eshat Cakar <info@eshat.de>,
+ Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libdlrestrictions-dev (>= 0.14),
- pkg-config, kdelibs5-dev (>= 4:4.10.5), libphonon-dev (>= 4:4.3.0),
+ kdelibs5-dev (>= 4:4.11.2), libkactivities-dev (>= 4:4.11.2),
+ nepomuk-core-dev (>= 4:4.11.2), libnepomukwidgets-dev (>= 4:4.11.2),
+ libphonon-dev (>= 4:4.3.0),
  libqimageblitz-dev (>= 1:0.0.4-2), libxkbfile-dev,
- libstreamanalyzer-dev (>= 0.6.3), libxrender-dev, zlib1g-dev,
- nepomuk-core-dev (>= 4:4.10.5), libkactivities-dev (>= 4:4.10.5),
+ libstreamanalyzer-dev (>= 0.6.3),
+ libxrender-dev, zlib1g-dev,
  libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies (>= 0.8),
- libtidy-dev, libnepomukwidgets-dev (>= 4:4.9.97)
+ libtidy-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-baseapps.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-baseapps.git
+X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-baseapps.git
+X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kde-baseapps.git
 
 Package: kde-baseapps
 Architecture: all
@@ -58,7 +63,8 @@
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: kdesdk-dolphin-plugins, kfind, ruby, konsole, kompare
+Recommends: ruby
+Suggests: kdesdk-dolphin-plugins
 Description: file manager 
  Dolphin is the default file manager in the KDE Plasma Workspaces, intended
  to be both powerful and easy to use.
@@ -76,8 +82,6 @@
 
 Package: kde-baseapps-bin
 Architecture: any
-Section: oldlibs
-Priority: extra
 Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version})
 Breaks: kdesktop, kcontrol, kdebase-bin (<< 4:4.7.2)
 Replaces: kdebase-bin (<< 4:4.7.2)
@@ -88,6 +92,8 @@
  This package is part of the KDE base applications module.
 
 Package: kdebase-bin
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, kde-baseapps-bin
 Description: Transitional package for new kde-baseapps
@@ -131,6 +137,8 @@
  kde-baseapps-bin (= ${binary:Version}), install-info
 Suggests: konq-plugins (>= 4:4.1~)
 Recommends: konqueror-nsplugins (= ${binary:Version}), dolphin, kfind
+Breaks: kdebase-data (<< 4:4.7.2), kde-baseapps-data (<< 4:4.8.4)
+Replaces: kdebase-data (<< 4:4.7.2), kde-baseapps-data (<< 4:4.8.4)
 Description: advanced file manager, web browser and document viewer
  Konqueror is the KDE web browser and advanced file manager.
  .
@@ -161,27 +169,8 @@
 
 Package: konq-plugins
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, konqueror (>= 4:4.9.2),
+Depends: ${shlibs:Depends}, ${misc:Depends}, konqueror (>= 4:4.1.0),
  python, libjpeg-progs
-Breaks: kde-baseapps-data (<< 4:4.8.80)
-Replaces: konqueror-plugin-adblock (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-akregator (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-autorefresh (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-babelfish (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-crashes (<< 4:4.4.0),
-          konqueror-plugin-dirfilter (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-domtreeviewer (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-fsview (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-imagerotation (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-khtmlsettings (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-kimgallery (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-minitools (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-rellinks (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-searchbar (<< 4:4.6.1-1ubuntu1),
-          konqueror-plugin-uachanger (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-validators (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-webarchiver (<< 4:4.4.0-2ubuntu1),
-          kde-baseapps-data (<< 4:4.8.80)
 Enhances: konqueror
 Recommends: imagemagick
 Description: plugins for Konqueror, the KDE file/web/document browser
@@ -257,8 +246,8 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libkonq5-templates
-Replaces: libkonq5 (<< 4:4.4.5-3), libkonq5a
-Breaks: libkonq5 (<< 4:4.4.5-3), libkonq5a
+Replaces: libkonq5 (<< 4:4.4.5-3)
+Breaks: libkonq5 (<< 4:4.4.5-3)
 Description: core Konqueror library - support files
  This package contains plugins and data files used by the core Konqueror
  library (libkonq).
@@ -288,3 +277,29 @@
  This package is part of the KDE base applications module.
 
 Package: libkonqsidebarplugin4a
+Section: libs
+Architecture: any
+X-Debian-ABI: 0
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: konqueror sidebar plugin library
+ This package contains base library for Konqueror sidebar plugins.
+ .
+ This package is part of the KDE base applications module.
+
+Package: libkonqsidebarplugin-dev
+Section: libdevel
+Architecture: any
+Depends: libkonqsidebarplugin4a (= ${binary:Version}),
+ ${sameVersionDep:kdelibs5-dev:libkonqsidebarplugin4a}, ${misc:Depends}
+Description: konqueror sidebar plugin library development files
+ This package contains development headers for the Konqueror sidebar plugin
+ library.
+ .
+ This package is part of the KDE base applications module.
+
+Package: plasma-widget-folderview
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: plasma widget showing the content of a folder
+ This package contains the Folder View Plasma widget which is capable of
+ displaying and managing contents of any KDE supported location. It can be used
